Mailrelay API Reference

Create or update a cart

POST /ecommerce/stores/{store_id}/carts/sync

Automatically checks if cart exists based on cart_id parameter. If it does, it updates the cart. If it doesn't, it creates a new cart.

Parameters

NameTypeDescription
store_id integer ID of the store
cart_id string Cart
email string Email
status string Status
checkout_url string Checkout url
total integer Total
tax_total integer Tax total
cart_items_attributes array Cart item

Responses

StatusDescription
200 Existing cart was updated
201 Cart was created
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
500 An internal error happened. Try again later.